> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotstuff.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Orders by Order ID

> Send POST request to /exchange, or use the ExchangeClient SDKs.

Cancel open order(s) by order id(s)


## OpenAPI

````yaml openapi/exchange/trading/cancel-by-oid.json POST /exchange
openapi: 3.0.3
info:
  title: Hotstuff Exchange API — Cancel Orders by Order ID
  version: 1.0.0
servers:
  - url: https://api.hotstuff.trade
security: []
paths:
  /exchange:
    post:
      summary: Cancel Orders by Order ID
      operationId: exchangeTradingCancelByOid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                action:
                  type: object
                  properties:
                    data:
                      type: object
                      properties:
                        cancels:
                          type: array
                          items:
                            type: object
                            properties:
                              oid:
                                type: integer
                                description: order id to cance;
                              instrumentId:
                                type: integer
                                description: instrument id to cancel the order for
                        expiresAfter:
                          type: integer
                        nonce:
                          type: integer
                    type:
                      type: string
                signature:
                  type: string
                nonce:
                  type: integer
              example:
                action:
                  data:
                    cancels:
                      - oid: 136085931
                        instrumentId: 1
                    expiresAfter: 1769692246080
                    nonce: 1769688646080
                  type: cancelByOid
                signature: >-
                  0xcb6f241ea57879a6e3cf90de61a78fa0ab9dd856361bd7552acc3e4e8b07017d...
                nonce: 1769688646080
            examples:
              default:
                summary: Example request
                value:
                  action:
                    data:
                      cancels:
                        - oid: 136085931
                          instrumentId: 1
                      expiresAfter: 1769692246080
                      nonce: 1769688646080
                    type: cancelByOid
                  signature: >-
                    0xcb6f241ea57879a6e3cf90de61a78fa0ab9dd856361bd7552acc3e4e8b07017d...
                  nonce: 1769688646080
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  tx_hash:
                    type: string
                  tx_type:
                    type: integer
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      status:
                        type: array
                        items:
                          type: object
                          properties:
                            success:
                              type: object
                              properties:
                                success:
                                  type: string
                              required:
                                - success
                          required:
                            - success
                    required:
                      - status
                  address:
                    type: string
                required:
                  - tx_hash
                  - tx_type
                  - success
                  - data
                  - address
              example:
                tx_hash: >-
                  0x0699b3be577138910ffcf99f2c4471566479da90a0901460b5081b1276031486
                tx_type: 1302
                success: true
                data:
                  status:
                    - success:
                        success: 'true'
                address: '0x9b342a0a2809A3806c17Bd0550BB63036dfB2C6A'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.